org.apache.catalina.loader

## Class WebappClassLoaderBase.PrivilegedFindResourceByName

- java.lang.Object
- - org.apache.catalina.loader.WebappClassLoaderBase.PrivilegedFindResourceByName

- All Implemented Interfaces:
    PrivilegedAction<ResourceEntry>
  Enclosing class:
    WebappClassLoaderBase

      protected class WebappClassLoaderBase.PrivilegedFindResourceByName
      extends Object
      implements PrivilegedAction<ResourceEntry>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `manifestRequired`
    `protected String` | `name`
    `protected String` | `path`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResourceEntry` | `run()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          protected String name

    - #### path

          protected String path

    - #### manifestRequired

          protected boolean manifestRequired

  - ### Method Detail

    - #### run

          public ResourceEntry run()

      Specified by:
        `run` in interface `PrivilegedAction<ResourceEntry>`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.